.collapse-inner .collapse-item {
  white-space: normal !important;
}

.sidebar-dark hr.sidebar-divider {
  border-top: 1px solid rgba(255, 255, 255, 0.15);
}

.sidebar hr.sidebar-divider {
  margin: 0 1rem 1rem;
}

hr {
  box-sizing: content-box;
  height: 0;
  overflow: visible;
  border: 0;
  opacity: unset !important;
}

.navbar {
  padding: 0.5rem 1rem !important;
}

.small,
small {
  font-size: 80% !important;
  font-weight: 400 !important;
}

.navbar-expand .navbar-nav .nav-link {
  padding: 0 0.75rem !important;
}

.badge {
  padding: 0.25em 0.4em !important;
}

#page-top {
  padding-top: 70px;
}

.custom-top-bar {
  background-color: #4e73df;
  background-size: cover;
}

body {
  margin: 0;
  font-family: Nunito, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji" !important;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #858796;
  text-align: left;
  background-color: #fff;
}

#wrapper #content-wrapper {
  background-color: #fff !important;
}

.dropdown-menu[class^=gc-dropdown-menu-] {
  margin-top: 0 !important;
}

/*button[title="Columnas"] {
    display: none;
}*/
table.table-bordered.table-hover {
  margin-bottom: 100px !important;
}

.react-datepicker__aria-live,
.react-datepicker-ignore-onclickoutside {
  display: none;
}

body.login-page {
  background-color: #00aeef;
}

.login-container {
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  padding: 40px 40px 55px 40px;
  /* Increased padding at top and bottom */
  margin: 0 auto;
  width: 100%;
  max-width: 30rem;
  margin-top: 100px;
}

.login-form {
  margin-top: 20px;
}

.login-button {
  background-color: #01adef;
  color: #fff;
  transition: all 0.3s ease-in-out;
}

.login-button:hover {
  background-color: #0056b3;
  transition: all 0.3s ease-in-out;
}

.login-form #username {
  text-transform: uppercase;
}

#sidebar-wrapper {
  position: fixed;
  top: 70px;
  /* Adjust to match your navbar height */
  left: 0;
  /* Adjust as needed */
  height: calc(100vh - 70px);
  /* Viewport height minus navbar height */
  overflow-y: auto;
  z-index: 1000;
  display: flex;
  flex-direction: column;
}

#accordionSidebar {
  flex: 1;
  overflow-y: auto;
  min-height: 0;
  /* This is crucial for the flex layout to work properly */
}

#accordionSidebar::-webkit-scrollbar {
  width: 6px;
  /* Adjust as needed */
}

#accordionSidebar::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, 0.2);
  border-radius: 3px;
}

#accordionSidebar {
  scrollbar-width: thin;
  /* For Firefox */
  scrollbar-color: rgba(0, 0, 0, 0.2) transparent;
  /* For Firefox */
}

/* Hide scrollbar when not needed */
#accordionSidebar {
  overflow-y: auto;
  scrollbar-gutter: stable;
}

#content-wrapper {
  margin-left: 230px;
  /* Should match the width of the sidebar */
  width: calc(100% - 230px);
}

.ql-container.ql-snow,
.ql-editor.ql-blank {
  height: 100%;
  min-height: 200px;
}

/* This selector targets the editable element (excluding comments). */
.ck-editor__editable_inline:not(.ck-comment__input *) {
  height: 500px;
  overflow-y: auto;
}

figure img {
  width: 100%;
  height: auto;
}

.ck-toolbar-container, .ck-balloon-panel {
  z-index: 1055 !important;
}

@font-face {
  font-family: "MarkPro-Bold";
  src: url("./src/fonts/MarkPro-Bold.ttf") format("truetype");
}
@font-face {
  font-family: "effra";
  src: url("./src/fonts/effra-regular.ttf") format("truetype");
}
@font-face {
  font-family: "MarkPro-Light";
  src: url("./src/fonts/MarkPro-Ligth.ttf") format("truetype");
}
